| Web Services for Remote Management 14.0 Reference documentation for web service interfaces to support remote management of Symantec Endpoint Protection

- Home
- Packages
- Classes

- Class List
- Class Hierarchy
- Class Members

List of all members | Public Member Functions | Protected Member Functions | Static Package Functions
com.symantec.sepm.webservice.policy.PolicyServiceImpl Class Reference

Provides the implementation for the PolicyService API. More...

Inheritance diagram for com.symantec.sepm.webservice.policy.PolicyServiceImpl:

## Public Member Functions
PolicySummaryInfo | importPolicy (String name, String groupId, String locationName, DataHandler dataHandler) throws InsufficientAccessServiceException, InvalidArgumentServiceException, ServiceException
PolicySummaryInfo | getPolicySummaryInfo (String name, String type) throws InsufficientAccessServiceException, InvalidArgumentServiceException, ServiceException
void | assignPolicy (PolicySummaryInfo policySummaryInfo, String groupId, String locationName) throws InsufficientAccessServiceException, InvalidArgumentServiceException, ServiceException
void | assignQuarantinePolicy (PolicySummaryInfo defaultHIPolicy, PolicySummaryInfo policy, String groupId, String locationName, boolean overridePolicy) throws InsufficientAccessServiceException, InvalidArgumentServiceException, ServiceException
Public Member Functions inherited from com.symantec.sepm.webservice.policy.PolicyService
PolicySummaryInfo | importPolicy (@WebParam(name="name") String name,@WebParam(name="groupId") String groupId,@WebParam(name="locationName") String locationName,@XmlMimeType("application/octet-stream") DataHandler dataHandler) throws InsufficientAccessServiceException, InvalidArgumentServiceException, ServiceException
| Imports the policy into the site's database and optionally assigns it to a group or to a location within a group. More...
PolicySummaryInfo | getPolicySummaryInfo (@WebParam(name="name") String name,@WebParam(name="type") String type) throws InsufficientAccessServiceException, InvalidArgumentServiceException, ServiceException
| Finds a policy that matches the name and the type supplied, and returns a PolicySummaryInfo object that represents the policy. More...
void | assignPolicy (@WebParam(name="policySummaryInfo") PolicySummaryInfo policySummaryInfo,@WebParam(name="groupId") String groupId,@WebParam(name="locationName") String locationName) throws InsufficientAccessServiceException, InvalidArgumentServiceException, ServiceException
| Assigns a policy to the specified group. More...
void | assignQuarantinePolicy (@WebParam(name="defaultHIPolicy") PolicySummaryInfo defaultHIPolicy,@WebParam(name="policy") PolicySummaryInfo policy,@WebParam(name="groupId") String groupId,@WebParam(name="locationName") String locationName,@WebParam(name="overridePolicy") boolean overridePolicy) throws InsufficientAccessServiceException, InvalidArgumentServiceException, ServiceException
| Assigns a policy to the specified group's quarantine location(s). More...

## Protected Member Functions
String | translateToPolicyType (String wsPolicyType) throws InvalidArgumentServiceException
| Converts a web service policy type to a Symantec Endpoint Protection policy type. More...
PolicyTO | createPolicyTO (PolicySummaryInfo policySummaryInfo, String domainId) throws InvalidArgumentServiceException
| Creates a Policy transfer object that contains information from a PolicySummaryInfo object. More...
PolicySummaryInfo | createPolicySummaryInfo (PolicyTO policyTO) throws InvalidArgumentServiceException
| Creates a PolicySummaryInfo object from the specified Policy transfer object. More...

## Static Package Functions
| [static initializer]

## Detailed Description

Provides the implementation for the PolicyService API.

## Member Function Documentation

com.symantec.sepm.webservice.policy.PolicyServiceImpl.[static initializer] | ( |  | ) |
| static package

PolicySummaryInfo com.symantec.sepm.webservice.policy.PolicyServiceImpl.importPolicy | ( | String | name,
|  | String | groupId,
|  | String | locationName,
|  | DataHandler | dataHandler
| ) |  | throws InsufficientAccessServiceException, InvalidArgumentServiceException, ServiceException

PolicySummaryInfo com.symantec.sepm.webservice.policy.PolicyServiceImpl.getPolicySummaryInfo | ( | String | name,
|  | String | type
| ) |  | throws InsufficientAccessServiceException, InvalidArgumentServiceException, ServiceException

void com.symantec.sepm.webservice.policy.PolicyServiceImpl.assignPolicy | ( | PolicySummaryInfo | policySummaryInfo,
|  | String | groupId,
|  | String | locationName
| ) |  | throws InsufficientAccessServiceException, InvalidArgumentServiceException, ServiceException

void com.symantec.sepm.webservice.policy.PolicyServiceImpl.assignQuarantinePolicy | ( | PolicySummaryInfo | defaultHIPolicy,
|  | PolicySummaryInfo | policy,
|  | String | groupId,
|  | String | locationName,
|  | boolean | overridePolicy
| ) |  | throws InsufficientAccessServiceException, InvalidArgumentServiceException, ServiceException

String com.symantec.sepm.webservice.policy.PolicyServiceImpl.translateToPolicyType | ( | String | wsPolicyType | ) | throws InvalidArgumentServiceException
| protected

Converts a web service policy type to a Symantec Endpoint Protection policy type.

Parameters

  wsPolicyType | a web service policy type

Returns
  a Symantec Endpoint Protection policy type

Exceptions

  InvalidArgumentServiceException | if type is not supported

PolicyTO com.symantec.sepm.webservice.policy.PolicyServiceImpl.createPolicyTO | ( | PolicySummaryInfo | policySummaryInfo,
|  | String | domainId
| ) |  | throws InvalidArgumentServiceException
| protected

Creates a Policy transfer object that contains information from a PolicySummaryInfo object.

Parameters

  policySummaryInfo | the policySummaryInfo object from which to copy. If this parameter is null, a default PolicyTO object is created.
  domainId | the domain of the current logged in Symantec Endpoint Protection Manager administrator

Returns
  a Policy transfer object constructed from the specified PolicySummaryInfo object

Exceptions

  InvalidArgumentServiceException | if the policy name or policy type cannot be validated

PolicySummaryInfo com.symantec.sepm.webservice.policy.PolicyServiceImpl.createPolicySummaryInfo | ( | PolicyTO | policyTO | ) | throws InvalidArgumentServiceException
| protected

Creates a PolicySummaryInfo object from the specified Policy transfer object.

Parameters

  policyTO | transfer object from which to create the PolicySummaryInfo object

Returns
  the PolicySummaryInfo object

Exceptions

  InvalidArgumentServiceException | if the policyTO parameter is null